# Uses of Interface
org.eclipse.ecf.filetransfer.IFileTransferListener

Packages that use IFileTransferListener
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of IFileTransferListener in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IFileTransferListener
Modifier and Type
Method
Description
`IFileTransferListener`
IIncomingFileTransfer.`getListener()`
Get listener assigned to this incoming file transfer.
Methods in org.eclipse.ecf.filetransfer with parameters of type IFileTransferListener
Modifier and Type
Method
Description
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.

## Uses of IFileTransferListener in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events with parameters of type IFileTransferListener
Modifier and Type
Method
Description
`IIncomingFileTransfer`
IFileTransferRequestEvent.`accept(OutputStream outputStream, IFileTransferListener listener)`
Accept the file transfer request.

## Uses of IFileTransferListener in org.eclipse.ecf.provider.filetransfer.outgoing

Fields in org.eclipse.ecf.provider.filetransfer.outgoing declared as IFileTransferListener
Modifier and Type
Field
Description
`protected IFileTransferListener`
AbstractOutgoingFileTransfer.`listener`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing that return IFileTransferListener
Modifier and Type
Method
Description
`IFileTransferListener`
AbstractOutgoingFileTransfer.`getListener()`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IFileTransferListener
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, File outgoingFile, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`

## Uses of IFileTransferListener in org.eclipse.ecf.provider.filetransfer.retrieve

Fields in org.eclipse.ecf.provider.filetransfer.retrieve declared as IFileTransferListener
Modifier and Type
Field
Description
`protected IFileTransferListener`
AbstractRetrieveFileTransfer.`listener`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve that return IFileTransferListener
Modifier and Type
Method
Description
`IFileTransferListener`
AbstractRetrieveFileTransfer.`getListener()`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type IFileTransferListener
Modifier and Type
Method
Description
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID rFileID, IFileRangeSpecification rangeSpec, IFileTransferListener transferListener, Map ops)`
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID remoteFileID1, IFileTransferListener transferListener, Map options1)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`